> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/flagship-deprecated/release-notes/flagship-february-release-notes.md).

# Flagship February release notes 🏂

## Flagship February release notes 🏂

## **New Developer Documentation** <a href="#new_dev_doc" id="new_dev_doc"></a>

#### **A change of look but not only!**

![](https://www.abtasty.com/wp-content/uploads/Capture-1.png)

We've reorganized the documentation, it's had a facelift but that's not all; it also includes examples of JS implementations and a new search function for all documentation.

And, because we like to hear feedback from our users, you can now share your comments and suggestions in the documentation. So get to your keyboards and let us know what you think!

#### **Want to see it?**

**👉** Consult the [Developer documentation](https://docs.developers.flagship.io/)

##

## **SDK Cache Management** <a href="#sdk_cache_management" id="sdk_cache_management"></a>

**Handling data cached on Android, Java, JS & React SDKs has never been so easy.**

To improve the development experience, we have streamlined and optimized the Android, Java, JS & React SDK architecture and the way data is cached on SDKs.\
You can now customize the way the cache is managed. You (or your developers) can implement your own cache and tailor what it does or does not cache.\
\
A quick reminder on what the cache offers natively:\
Prevent user reassignment as the assignment is stored in the cache: a visitor will always be assigned to the same variation.\
Prevent data loss as the cache stores the hit and returns it later in case of an issue.\
Manage Offline moments. No connection, no worries, the SDK will take the last stored value.

#### **Want to know more?**

**👉**Check out the [Android user documentation](https://docs.developers.flagship.io/docs/android-sdk)

👉Check out the [Java user documentation](https://docs.developers.flagship.io/docs/java-sdk)

👉 Check out the [JS user documentation](https://docs.developers.flagship.io/docs/js-sdk)

**👉Check out the** [**React user documentation**](https://docs.developers.flagship.io/docs/react)

## **SDK method updates: get Flags** <a href="#get_flags" id="get_flags"></a>

**Managing flags just got easier.**

Making developers' lives easier is in our ADN. This is why we updated the Flag management and revamped the getModification, getModificationInfo, activateModification and synchronizeModification methods to make it easier to understand.\
From now on, the following method will be swapped:

* getModification() -> getFlag(“newRelease”).value()
* getModificationInfo() -> getFlag(“newRelease”).metadata()
* activateModification() -> getFlag(“newRelease”).userExposed()
* synchronizeModification() -> fetchFlags()

This redesign of the methods allows for easier implementation, more self-service and better accessibility of information ("all in one" method).

####

## **PHP SDK Update** <a href="#php_update" id="php_update"></a>

PHP was updated to v2, and therefore is now compatible with experience continuity and Bucketing mode.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.abtasty.com/flagship-deprecated/release-notes/flagship-february-release-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
